All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
gnuplot-differentiable-function.hh File Reference
`#include <roboptim/core/sys.hh>`
`#include <roboptim/core/debug.hh>`
`#include <boost/format.hpp>`
`#include <roboptim/core/function.hh>`
`#include <roboptim/core/differentiable-function.hh>`

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.
| roboptim::visualization
| Graphic visualization.
| roboptim::visualization::gnuplot
| Gnuplot rendering.

## Typedefs

typedef Function::discreteInterval_t | roboptim::visualization::gnuplot::discreteInterval_t
| Import discrete interval type from function. More...
typedef DifferentiableFunction::argument_t | roboptim::visualization::gnuplot::argument_t
| Import discrete interval type from function. More...

## Functions

Command | roboptim::visualization::gnuplot::plot_jac (const DifferentiableFunction &f, const DifferentiableFunction::argument_t &arg)
| Plot the Jacobian with Gnuplot. More...